monitor=eDP-1,1280x720,auto,1
monitor=HDMI-A-1,preffered,auto-left,1,transform,3

workspace=1,monitor:eDP-1
workspace=2,monitor:HDMI-A-1

exec-once = [workspace 1] picoscope
exec-once = hyprctl dispatch layoutmsg preselect d  
exec-once = bash -c "python3 ~/spm6103_viewer.py"
exec-once = $browser
exec-once = nrfconnect --args --open-downloadable-app "pc-nrfconnect-ppk" --source "official"
exec-once = blueman-applet

bind = $mainMod, W, togglespecialworkspace, web
bind = $mainMod, A, togglespecialworkspace, ranger
bind = $mainMod, T, togglespecialworkspace, timer

windowrulev2 = float, initialTitle:^(SPM6103)$ 
windowrulev2 = size 1080 200, initialTitle:^(SPM6103)$ 
windowrulev2 = move 0 25, initialTitle:^(SPM6103)$ 
windowrulev2 = workspace 2, initialTitle:^(SPM6103)$

windowrulev2 = unset, initialTitle:^(.*Brave.*)$
windowrulev2 = workspace 2, initialTitle:^(.*Brave.*)$
windowrulev2 = size 1080 1155, initialTitle:^(.*Brave.*)$ 
windowrulev2 = move 0 230, initialTitle:^(.*Brave.*)$ 
windowrulev2 = float, initialTitle:^(.*Brave.*)$ 

windowrulev2 = workspace 2, initialClass:^(.*nrfconnect.*)$
windowrulev2 = size 100% 530, initialClass:^(.*nrfconnect.*)$ 
windowrulev2 = move 0 100%-530, initialClass:^(.*nrfconnect.*)$ 
windowrulev2 = float, initialClass:^(.*nrfconnect.*)$ 
